function hrep = moveHrep(hrep, v)
% move the polytope in H-representation along a vector
%
% Syntax: hrep = moveHrep(hrep, v)
%
% The vector v must be a vector that matches the dimension of the polytope 
%   Hrep.
%
% See also: movePolytope, obtainPolytope, stretchPolytope, rotatePolytope

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2012 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

%% correct v to be a column vector
if size(v, 1) == 1
    v = v';
end

if length(v) ~= size(hrep.A, 2)
    error('elk:polytope:wrongType', ...
        'dimension of the vector must match the dimension of the polytope');
end

hrep.h = hrep.h + hrep.A*v;
end